#ifndef BLOBCOLLECTIVE_H
#define BLOBCOLLECTIVE_H

#include "blob.h"
#include "lp_array.h"
#include "lp_vector2.h"

class BlobCollective
{
public:
  BlobCollective(const float xPos, const float yPos, const float aRadius);
  ~BlobCollective();

  void Split();
  void Join();
  void Move(const float dt);
  void Satisfy(Env& env);
  void CollisionTestBlobs();

  void SetForce(LP_Vector2& aForce);
  void AddForce(LP_Vector2& aForce);

  void Draw();

private:
  LP_Array<Blob*, 20> blobs;

};

#endif
